Bug 665387 - nfs-utils enhancement: allow setting the grace period for NFSv4.
nfs-utils enhancement: allow setting the grace period for NFSv4.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
14
All Unspecified
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-23 09:36 EST by Sandro Bonazzola
Modified: 2011-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.3-4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-21 17:54:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to /etc/init.d/nfs (387 bytes, patch)
2010-12-23 09:36 EST, Sandro Bonazzola
no flags Details | Diff

  None (edit)
Description Sandro Bonazzola 2010-12-23 09:36:45 EST
Created attachment 470432 [details]
patch to /etc/init.d/nfs

Description of problem:
There is no place where to set the nfs grace period.

Actual results:
In order to change the grace perriod you have to:
# /etc/init.d/nfs stop
# echo $NFSD_GRACE >/proc/fs/nfsd/nfsv4gracetime
# /etc/init.d/nfs start

Expected results:
Just set $NFSD_GRACE in /etc/sysconfig/nfs.

Additional info:
I'll attach a patch implementing the proposed solution.
in order to test it, just add in /etc/sysconfig/nfs:

+#
+# Set the Grace time, valid value are integers from 10 to 3599, default is 90.
+NFSD_GRACE=90

changing the value of NFSD_GRACE as you need.
Comment 1 Fedora Update System 2011-01-15 15:24:37 EST
nfs-utils-1.2.3-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.3-4.fc14
Comment 2 Sandro Bonazzola 2011-01-17 02:29:33 EST
Thanks, it seems to work for me.
Comment 3 Fedora Update System 2011-01-17 15:54:14 EST
nfs-utils-1.2.3-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nfs-utils-1.2.3-4.fc14
Comment 4 Fedora Update System 2011-01-21 17:54:51 EST
nfs-utils-1.2.3-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.